# alarm_watchdog_mapping_ros_node

Copy package in your catkin workspace and build it.
`~/catkin_ws/src/alarm_watchdog_mapping_ros_node`

Building package
```python
cd ~/catkin_ws
catkin_make
```

Setting execution permission to the script
```python
chmod +x ./src/alarm_watchdog_mapping_ros_node/src/main.py
```

Sourcing the workspace
```python
source ./devel/setup.bash
``` 

Running the node
```python
rosrun alarm_watchdog_mapping_ros_node main.py
```

Making sure the node is running
```python
rosnode list
rosnode info /alarm_watchdog_mapping_ros_node
```

Testing the node
```python
rostopic pub /alarm_watchdog_mapping_ros_node_start/goal alarm_watchdog_mapping_ros_node/WDStartMappingActionGoal "{header: {stamp: now}, goal_id: {id: '1'}, goal: {}}"

rostopic pub /alarm_watchdog_mapping_ros_node_end/goal alarm_watchdog_mapping_ros_node/WDStartMappingActionGoal "{header: {stamp: now}, goal_id: {id: '1'}, goal: {}}"
```
